Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.api.plugins.jetty
Class JettyStop

    java.lang.Object
      org.gradle.api.internal.AbstractTask
          org.gradle.api.DefaultTask
              org.gradle.api.internal.ConventionTask
                  org.gradle.api.plugins.jetty.JettyStop

    class JettyStop
    extends ConventionTask

Constructor Summary
`JettyStop(Project project, java.lang.String name)`

Method Summary
`java.lang.String` | `getStopKey()` Returns stop key.
`java.lang.Integer` | `getStopPort()` Returns port to listen to stop jetty on sending stop command
`void` | `setStopKey(java.lang.String stopKey)` Sets key to provide when stopping jetty on executing java -DSTOP.KEY=<stopKey> -DSTOP.PORT=<stopPort> -jar start.jar --stop
`void` | `setStopPort(java.lang.Integer stopPort)` Sets port to listen to stop jetty on sending stop command
`void` | `stop()`

Methods inherited from class ConventionTask
conv, conventionMapping, conventionMapping, conventionProperty, getConventionAwareHelper, getConventionMapping, setConventionAwareHelper, setConventionMapping

Methods inherited from class DefaultTask
leftShift, methodMissing, propertyMissing

Methods inherited from class AbstractTask
captureStandardOutput, compareTo, defineProperty, deleteAllActions, dependsOn, dependsOnTaskDidWork, disableStandardOutputCapture, doFirst, doLast, equals, execute, getActions, getAdditionalProperties, getAnt, getConvention, getDependsOn, getDescription, getDidWork, getDynamicObjectHelper, getEnabled, getExecuted, getLogger, getName, getPath, getProject, getSkipProperties, getStandardOutputCapture, getTaskDependencies, hasProperty, hashCode, isDidWork, isEnabled, isExecuted, onlyIf, onlyIf, property, setActions, setAdditionalProperties, setDependsOn, setDescription, setDidWork, setEnabled, setExecuted, setName, setProject, setProperty, setSkipProperties, setStandardOutputCapture, toString

Methods inherited from class java.lang.Object
hashCode, getClass, equals, toString, wait, wait, wait, notify, notifyAll

Constructor Detail

### JettyStop

    public JettyStop(Project project, java.lang.String name)

Method Detail

### getStopKey

    public java.lang.String getStopKey()

  Returns stop key.
  see:
    #setStopKey(String)

### getStopPort

    public java.lang.Integer getStopPort()

  Returns port to listen to stop jetty on sending stop command

### setStopKey

    public void setStopKey(java.lang.String stopKey)

  Sets key to provide when stopping jetty on executing java -DSTOP.KEY=<stopKey> -DSTOP.PORT=<stopPort> -jar start.jar --stop

### setStopPort

    public void setStopPort(java.lang.Integer stopPort)

  Sets port to listen to stop jetty on sending stop command

### stop

    public void stop()

Groovy Documentation